text-moderation-latest API on AvalAI
text-moderation-latesttext-moderation-latest is an AI model from OpenAI that is available through AvalAI's OpenAI-compatible API.
Use text-moderation-latest with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "text-moderation-latest", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="text-moderation-latest",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "text-moderation-latest",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- —
text-moderation-latest rate limits
| Tier | RPM | TPM |
|---|---|---|
| Tier 2 | 250 | 500,000 |
| Tier 3 | 500 | 1,000,000 |
| Tier 4 | 1,000 | 2,000,000 |
| Tier 5 | 1,500 | 4,000,000 |
Related models
Frequently asked questions
What is the text-moderation-latest API on AvalAI?
Create an AvalAI API key and send the model ID text-moderation-latest to one of the supported endpoints shown on this page.
How much does the text-moderation-latest API cost on AvalAI?
The text-moderation-latest API on AvalAI costs $0.00 per 1M input tokens and $0.00 per 1M output tokens.
What is the token cost for text-moderation-latest?
Current AvalAI pricing for text-moderation-latest is $0.00 / 1M tokens for input and $0.00 / 1M tokens for output.
What is the text-moderation-latest context window?
The recorded maximum input context for text-moderation-latest is 32,768 tokens.
What are the rate limits for text-moderation-latest on AvalAI?
On tier 5, text-moderation-latest on AvalAI supports up to 1,500 requests per minute and 4,000,000 tokens per minute.
What account tier is required to use text-moderation-latest on AvalAI?
Calling text-moderation-latest on AvalAI requires tier 2 or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)